/*
Theme Name: Astra Child
Theme URI: https://wpastra.com/
Template: astra
Author: Brainstorm Force
Author URI: https://wpastra.com/about/?utm_source=theme_preview&utm_medium=author_link&utm_campaign=astra_theme
Description: The Astra WordPress theme is lightning-fast and highly customizable. It has over 1 million downloads and the only theme in the world with 6,000+ five-star reviews! It’s ideal for professional web designers, solopreneurs, small businesses, eCommerce, membership sites and any type of website. It offers special features and templates so it works perfectly with all page builders like Spectra, Elementor, Beaver Builder, etc. Fast performance, clean code, mobile-first design and schema markup are all built-in, making the theme exceptionally SEO-friendly. It’s fully compatible with WooCommerce, SureCart and other eCommerce plugins and comes with lots of store-friendly features and templates. Astra also provides expert support for free users. A dedicated team of fully trained WordPress experts are on hand to help with every aspect of the theme. Try the live demo of Astra: https://zipwp.org/themes/astra/
Tags: custom-menu,custom-logo,entertainment,one-column,two-columns,left-sidebar,e-commerce,right-sidebar,custom-colors,editor-style,featured-images,full-width-template,microformats,post-formats,rtl-language-support,theme-options,threaded-comments,translation-ready,blog
Version: 4.11.13.1761372627
Updated: 2025-10-25 06:10:27

*/

.search-results h1.custom-heading {
    font-size: 24px;
}

body {
    background: #f2f5fb !important;
}

.single .fabrics {
    background: transparent !important;
}
span.site-title {
    font-size: 28px;
}
/* ---------- Grid / Archive Styles ---------- */

.fabric-item {
    padding: 20px !important;
    position: relative;
    overflow: visible;
    text-align: center;
    background: #fff;
    border-radius: 10px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.08);
    transition: transform 0.4s 
ease, box-shadow 0.4s 
ease;
    padding: 20px;
}

.fabric-item img {
  width: 100%;
  height: 250px;
  object-fit: cover;
  margin-bottom: 15px;
  border-radius: 8px;
}

.btn-more {
    overflow: visible;
    position: absolute;
    bottom: -18px;
    transform: translateX(-50%);
   background: linear-gradient(90deg, #EF2853 0%, #FFA31A 100%);
    color: #fff;
    padding: 5px 14px;
    border-radius: 4px;
    text-decoration: none;
    font-weight: 500;
    transition: all 0.3s ease;
    z-index: 2;
    font-size: 14px;
}

.fabric-excerpt {
    margin-bottom: 10px;
}
span.btn-more a {
    color: #fff !important;
}

h4.enquiry-frm {
    text-align: center;
    margin-bottom: 20px;
	color: #fff !important;
}
.enquiry-success {
    text-align: center;
    padding: px;
    margin-top: 10px;
    margin-bottom: 10px;
    color: green;
}

.ast-primary-header-bar {
    background: linear-gradient(90deg, #EF2853 0%, #FFA31A 100%) !important;
}
/*span.btn-more {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0.8);
    color: #000;
    padding: 10px 26px;
    border-radius: 25px;
    font-weight: 600;
    text-decoration: none;
    opacity: 0;
    transition: all 0.4s 
ease;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
    z-index: 5;
    background: #000;
}

.fabric-item:hover .btn-more {
  opacity: 1;
  transform: translate(-50%, -50%) scale(0.8);
}
.fabric-item::before {
    position: absolute;
    content: "";
    height: 100%;
    width: 100%;
    left: 0;
    top: 0;
    background: linear-gradient(130deg, #c5c3bf7d 100%, #d4af377a 72%);
    opacity: 0;
}

.fabric-item:hover::before {
	opacity: 1; 
}*/

/*.single .type-fabrics {
    padding: 20px !important;
    border-radius: 10px !important;
    border: 1px solid #f2f2f2;
}*/


.single .type-fabrics p {
    margin-bottom: 1.6em;
    margin-bottom: 0px;
	
	}

.list-sec li.elementor-icon-list-item {
    padding: 14px !important;
    background: #f2f2f233;
    margin-bottom: 20px !important;
    border: 1px solid #f2f2f2;
    border-radius: 10px;
	box-shadow: 0 2px 6px rgba(0,0,0,0.05);
	 transition: all 0.3s ease;
}
.list-sec li.elementor-icon-list-item:hover {
   background: #fff !important;
	box-shadow: 0 2px 6px rgba(0,0,0,0.05);
	transform: translateY(4px);
}
}
/* ---------- Sticky Header ---------- */
.sticky-header {
  background: #000;
  top: 0;
  position: fixed !important;
  width: 100%;
  z-index: 9999;
}

.mega-sub-menu ul {
    margin: 0px !important;
    list-style-type: none !important;
}
/* ---------- Single Page Layout ---------- */
.custom-row article {
  padding: 0 !important;
}

.custom-row {
  display: flex;
  gap: 20px;
  margin: 50px 0;
}

main.main-content.site-main {
  flex: 0 0 75%;
  max-width: 75%;
}

.custom-row aside.sidebar {
  flex: 0 0 25%;
  max-width: 25%;
}

form#wpforms-form-143 {
    display: flex;
}
button#wpforms-submit-143 {
    position: relative;
    top: -9px;
}
input#wpforms-143-field_2 {
    min-width: 320px;
    max-width: 100% !important;
}

a.page-numbers {
    padding: 2px 10px;
    border: 1px solid #f4a100;
} 
span.page-numbers.current {
    padding: 2px 10px;
    border: 1px solid #f4a100;
    background: #f4a100;
    color: #fff !important;
}
/*body.logged-in .sticky-header {
  top: 30px;
}*/

aside.sidebar {
    position: sticky;
    height: fit-content;
    top: 100px;
}

input#search-field {
    width: 400px;
    border-radius: 20px;
    height: 32px;

}

.keylist-sec .elementor-icon-list-item {
    background: #ffffff;
    border: 1px solid #f0f0f0;
    padding: 15px 20px !important;
    border-radius: 12px;
    margin-bottom: 15px;
    font-size: 16px;
    color: #333;
    transition: all 0.3s ease;
    margin-bottom: 20px !important;
	

}
.keylist-sec .elementor-icon-list-item:hover{
border-color: #ff6b3d; 
background: #fff7f3;
transform: translateY(-3px);
}

.fabric-buttons
 {
    display: flex;
    gap: 20px;
    justify-content: center;
    margin-top: 20px;
}
a.read-btn {
    background: linear-gradient(90deg, #EF2853 0%, #FFA31A 100%);
    color: #fff;
    padding: 4px 13px;
    border-radius: 4px;
    font-size: 15px;
}

a.inq-btn {
    padding: 4px 13px;
    font-size: 15px;
    border-radius: 6px;
    display: inline-block;
    border: 2px solid transparent;
    color: #000 !important;  
    background:
        linear-gradient(#fff, #fff) padding-box,
        linear-gradient(90deg, #EF2853 0%, #FFA31A 100%) border-box;
}

/* ---------- Responsive ---------- */
@media screen and (max-width: 768px) and (min-width: 320px) {
  .custom-row {
    flex-direction: column;
  }

  .main-content,
  .sidebar {
    flex: 0 0 100%;
    max-width: 100%;
  }

  .sidebar {
    margin-top: 30px;
  }

  .pad-top {
    padding-left: 10px;
    padding-right: 10px;
  }
}
